import SolidElement from '../../internal/solid-element';
export default class SdIcon extends SolidElement {
    svg: string;
    name?: string;
    src?: string;
    label: string;
    library: string;
    color: 'currentColor' | 'primary' | 'white';
    connectedCallback(): void;
    firstUpdated(): void;
    disconnectedCallback(): void;
    protected onThemeChange(): void;
    private getUrl;
    handleLabelChange(): void;
    setIcon(): Promise<void>;
    render(): import("lit").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
declare global {
    interface HTMLElementTagNameMap {
        'sd-icon': SdIcon;
    }
}
